import React from 'react';
import type { Item, ItemOrElement, Refs, ScrollBehaviorArg, scrollToItemOptions, visibleElements } from './types';
import { observerOptions } from './settings';
export declare const getNodesFromRefs: (refs: Refs) => HTMLElement[];
export declare function observerEntriesToItems(entries: IntersectionObserverEntry[], options: typeof observerOptions): Item[];
declare function scrollToItem(item: ItemOrElement, behavior?: ScrollBehaviorArg, inline?: ScrollLogicalPosition, block?: ScrollLogicalPosition, rest?: Omit<scrollToItemOptions, 'behavior'>, noPolyfill?: boolean): void;
export { scrollToItem };
export declare const getItemElementById: (id: string | number) => Element | null;
export declare const getItemElementByIndex: (id: string | number) => Element | null;
export declare function getElementOrConstructor(Elem: React.FC | React.ReactNode): React.JSX.Element | null;
export declare const filterSeparators: (items: visibleElements) => visibleElements;
export declare const getItemId: (item: React.ReactNode) => string;
